import { NativeModules } from 'react-native';
const { BMCInfo: { getEnvInfo } } = NativeModules;
const dev = {
  API_ROOT: 'http://devbmcapp.hikcreate.com',
}

const mock = {
  API_ROOT: 'http://yapi.hikcreate.com',
}

const test = {
  API_ROOT: 'http://testbmcapp.hikcreate.com',
}

const pre_prod = {
  API_ROOT: 'https://prebmcapp.hikcreate.com',
}

const prod = {
  API_ROOT: 'https://bmcapp.hikcreate.com',
}

const configs = [
  dev,
  dev,
  mock,
  test,
  pre_prod,
  prod,
]
let envInfo

export default getEnv = async () => {
  if (!envInfo) {
    envInfo = await getEnvInfo();
  }
  return configs[envInfo.env];
}